[testing] -> [extra] 'wpewebkit-2.32.0-2' move
packagesW/wpewebkit/pipeline/head This commit looks good Details

master
artoo 2 years ago
parent 862152d2b2
commit 0a10a85f3c

@ -2,7 +2,7 @@
pkgname=wpewebkit
pkgver=2.32.0
pkgrel=1
pkgrel=2
pkgdesc="Web content engine for embedded devices"
url="https://wpewebkit.org"
arch=(x86_64)
@ -18,14 +18,19 @@ optdepends=('geoclue: Geolocation support'
'gst-plugins-good: media decoding'
'gst-plugins-bad: media decoding'
'gst-libav: nonfree media decoding')
source=($url/releases/$pkgname-$pkgver.tar.xz{,.asc})
source=($url/releases/$pkgname-$pkgver.tar.xz{,.asc}
unhide-deprecated-api.patch)
sha256sums=('6cfb18af9a180eeffffcaf34fea68d867ee59f633d811ced92bbead2d184b6ea'
'SKIP')
'SKIP'
'48ee7bee0b50776c8153c20b96854bd5086e0a7d04e621fd57ea7fc6c690c3a2')
validpgpkeys=('D7FCF61CF9A2DEAB31D81BD3F3D322D0EC4582C3' # Carlos Garcia Campos <cgarcia@igalia.com>
'5AA3BC334FD7E3369E7C77B291C559DBE4C9123B') # Adrián Pérez de Castro <aperez@igalia.com>
prepare() {
cd $pkgname-$pkgver
# Use deprecated API for ubrk_safeClone until ICU 69 is officially supported
patch -Np1 -i ../unhide-deprecated-api.patch
}
build() {

@ -1,66 +0,0 @@
# Maintainer: Jan Alexander Steffens (heftig) <heftig@archlinux.org>
pkgname=wpewebkit
pkgver=2.32.0
pkgrel=2
pkgdesc="Web content engine for embedded devices"
url="https://wpewebkit.org"
arch=(x86_64)
license=(custom)
depends=(cairo fontconfig freetype2 glib2 harfbuzz harfbuzz-icu icu libjpeg
libepoxy libgcrypt libsoup libxml2 zlib libpng sqlite libwebp libwpe
atk at-spi2-atk openjpeg2 woff2 libtasn1 libxslt bubblewrap
libseccomp xdg-dbus-proxy gstreamer gst-plugins-base-libs libxkbcommon
wayland wpebackend-fdo)
makedepends=(cmake ninja gtk-doc python ruby gst-plugins-bad gperf
wayland-protocols)
optdepends=('geoclue: Geolocation support'
'gst-plugins-good: media decoding'
'gst-plugins-bad: media decoding'
'gst-libav: nonfree media decoding')
source=($url/releases/$pkgname-$pkgver.tar.xz{,.asc}
unhide-deprecated-api.patch)
sha256sums=('6cfb18af9a180eeffffcaf34fea68d867ee59f633d811ced92bbead2d184b6ea'
'SKIP'
'48ee7bee0b50776c8153c20b96854bd5086e0a7d04e621fd57ea7fc6c690c3a2')
validpgpkeys=('D7FCF61CF9A2DEAB31D81BD3F3D322D0EC4582C3' # Carlos Garcia Campos <cgarcia@igalia.com>
'5AA3BC334FD7E3369E7C77B291C559DBE4C9123B') # Adrián Pérez de Castro <aperez@igalia.com>
prepare() {
cd $pkgname-$pkgver
# Use deprecated API for ubrk_safeClone until ICU 69 is officially supported
patch -Np1 -i ../unhide-deprecated-api.patch
}
build() {
cmake -S $pkgname-$pkgver -B build -G Ninja \
-DPORT=WPE \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_INSTALL_LIBDIR=lib \
-DCMAKE_INSTALL_LIBEXECDIR=lib \
-DCMAKE_SKIP_RPATH=ON \
-DENABLE_GTKDOC=ON \
-DENABLE_MINIBROWSER=ON \
-DUSE_SYSTEMD=OFF
cmake --build build
}
package() {
depends+=(libwpe-1.0.so libWPEBackend-fdo-1.0.so)
provides+=(libWPEWebKit-1.0.so)
DESTDIR="$pkgdir" cmake --install build
cd $pkgname-$pkgver
find Source -name 'COPYING*' -or -name 'LICENSE*' -print0 | sort -z |
while IFS= read -d $'\0' -r _f; do
echo "### $_f ###"
cat "$_f"
echo
done |
install -Dm644 /dev/stdin "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
}
# vim:set sw=2 et:
Loading…
Cancel
Save